Sisimai::Reason::Expired(3pm)

NAME
Sisimai::Reason::Expired - Bounce reason is "expired" or not.

SYNOPSIS
    use Sisimai::Reason::Expired;
    print Sisimai::Reason::Expired->match('400 Delivery time expired');   # 1

DESCRIPTION
Sisimai::Reason::Expired checks the bounce reason is "expired" or not. This class is called only Sisimai::Reason class.

This is the error that delivery time has expired due to connection failure or network error and the message you sent has been in the queue for long time.

CLASS METHODS

  "text()"
"text()" returns string: "expired".

    print Sisimai::Reason::Expired->text;  # expired

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::Expired->match('400 Delivery time expired');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "expired". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018,2021 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.